<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2000</year>
      <year>2013</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
 
      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosNotifyChannelAdmin_ProxyPullSupplier</title>
    <prepared></prepared>
    <responsible></responsible>
    <docno></docno>
    <approved></approved>
    <checked></checked>
    <date>2000-02-01</date>
    <rev>1.0</rev>
  </header>
  <module>CosNotifyChannelAdmin_ProxyPullSupplier</module>
  <modulesummary>This module implements the OMG  CosNotifyChannelAdmin::ProxyPullSupplier interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosNotification/include/*.hrl").</c></p>
    <p>This module also exports the functions described in:</p>
    <list type="bulleted">
      <item>
        <p><seealso marker="CosNotifyComm_NotifySubscribe">CosNotifyComm_NotifySubscribe</seealso></p>
      </item>
      <item>
        <p><seealso marker="CosNotification_QoSAdmin">CosNotification_QoSAdmin</seealso></p>
      </item>
      <item>
        <p><seealso marker="CosNotifyFilter_FilterAdmin">CosNotifyFilter_FilterAdmin</seealso></p>
      </item>
      <item>
        <p><seealso marker="CosNotifyChannelAdmin_ProxySupplier">CosNotifyChannelAdmin_ProxySupplier</seealso></p>
      </item>
    </list>
  </description>
  <funcs>
    <func>
      <name>connect_any_pull_consumer(ProxyPullSupplier, PullConsumer) -> Reply</name>
      <fsummary>Connect a consumer to the proxy</fsummary>
      <type>
        <v>ProxyPullSupplier = #objref</v>
        <v>PullConsumer = #objref</v>
        <v>Reply = ok | {'EXCEPTION', #'CosEventChannelAdmin_AlreadyConnected'{}}</v>
      </type>
      <desc>
        <p>This operation connects the given <c>PullConsumer</c> to the target object.
          If a connection already exists the <c>AlreadyConnected</c> exception is
          raised.</p>
      </desc>
    </func>
    <func>
      <name>pull(ProxyPullSupplier) -> Reply</name>
      <fsummary>Pull an Any event from the proxy</fsummary>
      <type>
        <v>ProxyPullSupplier = #objref</v>
        <v>Reply = #any | {'EXCEPTION', #'CosEventChannelAdmin_Disconnected'{}}</v>
      </type>
      <desc>
        <p>This operation pulls next <c>#any{}</c> event, and blocks, if the target object
          have no events to forward, until an event can be delivered. If no client have
          been connected the <c>Disconnected</c> exception is raised.</p>
      </desc>
    </func>
    <func>
      <name>try_pull(ProxyPullSupplier) -> Reply</name>
      <fsummary>Try and pull an Any event from the proxy</fsummary>
      <type>
        <v>ProxyPullSupplier = #objref</v>
        <v>Reply = {#any, HasEvent} | {'EXCEPTION', #'CosEventChannelAdmin_Disconnected'{}}</v>
        <v>HasEvent = boolean()</v>
      </type>
      <desc>
        <p>This operation pulls next event, but do not block if the target object
          have no event to forward. If no client have
          been connected the <c>Disconnected</c> exception is raised.</p>
      </desc>
    </func>
    <func>
      <name>disconnect_pull_supplier(ProxyPullSupplier) -> ok</name>
      <fsummary>Close the connection and terminate the proxy</fsummary>
      <type>
        <v>ProxyPullSupplier = #objref</v>
      </type>
      <desc>
        <p>Invoking this operation will cause the target object to close the connection and terminate.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

